package com.jxml.quick.examples.convert;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;

public class RootA2XY extends QConverterSupport
{
	public ArrayList as=new ArrayList(); // list of "a" child elements

	/**
	 * Process the root element.
	 */
	public void evalRoot()
		throws SAXException
	{
		startElement("xy");
		int s=as.size();
		int i;
		for (i=0;i<s;++i)
		{
			A2XY a=(A2XY)as.get(i);
			a.cvt(destination);
		}
		endElement("xy");
	}
}
